> ## Documentation Index
> Fetch the complete documentation index at: https://docs.junction.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get order PSC info

> Retrieve order psc info via the Junction API. Requires authentication with your team API key.

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
       --url '{{BASE_URL}}/v3/order/<order_id>/psc/info' \
       --header 'accept: application/json' \
       --header 'x-vital-api-key: YOUR_API_KEY'
  ```

  ```python Python theme={null}
  from junction import Junction
  from junction.environment import JunctionEnvironment

  client = Junction(
      api_key="YOUR_API_KEY",
      environment=JunctionEnvironment.SANDBOX,
  )

  data = client.lab_tests.get_order_psc_info("<order_id>")
  ```

  ```typescript TypeScript theme={null}
  import { JunctionClient, JunctionEnvironment } from "@junction-api/sdk";

  const client = new JunctionClient({
      apiKey: "YOUR_API_KEY",
      environment: JunctionEnvironment.Sandbox,
  });

  const data = await client.labTests.getOrderPscInfo({ orderId: "<order_id>" });
  ```

  ```java Java theme={null}
  import com.junction.api.Junction;
  import com.junction.api.core.Environment;

  Junction client = Junction.builder()
      .apiKey("YOUR_API_KEY")
      .environment(Environment.SANDBOX)
      .build();

  var data = client.labTests().getOrderPscInfo("<order_id>");
  ```

  ```go Go theme={null}
  import (
      "context"

      junction "github.com/junction-api/junction-go"
      "github.com/junction-api/junction-go/client"
      "github.com/junction-api/junction-go/option"
  )

  c := client.NewClient(
      option.WithApiKey("YOUR_API_KEY"),
      option.WithBaseURL(junction.Environments.Sandbox),
  )

  response, err := c.LabTests.GetOrderPscInfo(context.TODO(), &junction.GetOrderPscInfoLabTestsRequest{
      OrderId: "<order_id>",
  })
  if err != nil {
      return err
  }
  fmt.Printf("Received data %s\n", response)
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "lab_id": 27,
    "slug": "labcorp",
    "patient_service_centers": [
      {
        "metadata": {
          "name": "LABCORP",
          "state": "AZ",
          "city": "Phoenix",
          "zip_code": "85006",
          "first_line": "1300 N 12th St",
          "second_line": "Ste 300",
          "phone_number": "480-878-3988",
          "fax_number": "844-346-5903",
          "hours": null
        },
        "distance": "25",
        "capabilities": ["stat"]
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml GET /v3/order/{order_id}/psc/info
openapi: 3.1.0
info:
  title: Junction API
  description: https://docs.junction.com/
  version: 0.4.483
servers:
  - url: https://api.us.junction.com
    x-fern-server-name: Production
  - url: https://api.eu.junction.com
    x-fern-server-name: ProductionEU
  - url: https://api.sandbox.us.junction.com
    x-fern-server-name: Sandbox
  - url: https://api.sandbox.eu.junction.com
    x-fern-server-name: SandboxEU
security:
  - apiKeyAuth: []
paths:
  /v3/order/{order_id}/psc/info:
    get:
      tags:
        - order
      summary: Get Order Psc Info
      operationId: get_order_psc_info_v3_order__order_id__psc_info_get
      parameters:
        - name: order_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: Your Order ID.
            title: Order Id
          description: Your Order ID.
        - name: radius
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/AllowedRadius'
            description: Radius in which to search in miles
            default: '25'
          description: Radius in which to search in miles
        - name: capabilities
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                items:
                  $ref: '#/components/schemas/LabLocationCapability'
              - type: 'null'
            description: Filter for only locations with certain capabilities
            title: Capabilities
          description: Filter for only locations with certain capabilities
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PSCInfo'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AllowedRadius:
      type: string
      enum:
        - '10'
        - '20'
        - '25'
        - '50'
        - '100'
      title: AllowedRadius
      description: ℹ️ This enum is non-exhaustive.
    LabLocationCapability:
      type: string
      enum:
        - stat
        - appointment_scheduling_via_junction
        - appointment_scheduling_with_lab
      title: LabLocationCapability
      description: ℹ️ This enum is non-exhaustive.
    PSCInfo:
      properties:
        lab_id:
          type: integer
          title: Lab Id
        slug:
          $ref: '#/components/schemas/Labs'
          description: ℹ️ This enum is non-exhaustive.
        patient_service_centers:
          items:
            $ref: '#/components/schemas/ClientFacingLabLocation'
          type: array
          title: Patient Service Centers
      type: object
      required:
        - lab_id
        - slug
        - patient_service_centers
      title: PSCInfo
    HTTPValidationError:
      properties:
        detail:
          title: Detail
      type: object
      title: HTTPValidationError
    Labs:
      type: string
      enum:
        - ayumetrix
        - spiriplex
        - ussl
        - quest
        - sonora_quest
        - labcorp
        - bioreference
        - us_biotek
        - manual
        - sanocardio
        - ihd
        - nexus
        - my_uti
        - crl
      title: Labs
      description: ℹ️ This enum is non-exhaustive.
    ClientFacingLabLocation:
      properties:
        metadata:
          $ref: '#/components/schemas/LabLocationMetadata'
        distance:
          type: integer
          title: Distance
        site_code:
          type: string
          title: Site Code
        supported_bill_types:
          items:
            $ref: '#/components/schemas/Billing'
          type: array
          title: Supported Bill Types
        location:
          $ref: '#/components/schemas/LngLat'
        capabilities:
          items:
            $ref: '#/components/schemas/LabLocationCapability'
          type: array
          title: Capabilities
      type: object
      required:
        - metadata
        - distance
        - site_code
        - supported_bill_types
        - location
        - capabilities
      title: ClientFacingLabLocation
    LabLocationMetadata:
      properties:
        name:
          type: string
          title: Name
        state:
          type: string
          title: State
        city:
          type: string
          title: City
        zip_code:
          type: string
          title: Zip Code
        first_line:
          type: string
          title: First Line
        second_line:
          anyOf:
            - type: string
            - type: 'null'
          title: Second Line
        phone_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone Number
        fax_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Fax Number
        hours:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Hours
      type: object
      required:
        - name
        - state
        - city
        - zip_code
        - first_line
      title: LabLocationMetadata
    Billing:
      type: string
      enum:
        - client_bill
        - commercial_insurance
        - patient_bill_passthrough
        - patient_bill
      title: Billing
      description: ℹ️ This enum is non-exhaustive.
    LngLat:
      properties:
        lng:
          type: number
          maximum: 180
          minimum: -180
          title: Lng
        lat:
          type: number
          maximum: 90
          minimum: -90
          title: Lat
      type: object
      required:
        - lng
        - lat
      title: LngLat
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-vital-api-key
      description: Vital Team API Key

````